import React from "react"
import { Content } from "@onegeo-suite/gatsby-theme-onegeo"
import { Logo, Link } from "@onegeo-suite/gatsby-theme-onegeo"
import image from "../../../images/logo-egeo.png"

const logo = () => {
    return (
        <Content>
            <div className="prose">
                <Link to="/doc/core">Retour</Link>

                <h1>Logo</h1>
                <h2>Props</h2>
                <div className="mockup-code">
                    <pre>
                        <code>
                            {`interface Props {
  url?: string;
  className: string;
  src?: string;
  title: string;
  image: any
}`}
                        </code>
                    </pre>
                </div>

                <h2>Example</h2>
            </div>
            <div className="m-4 flex gap-6">
                <Logo title="My Logo" image={image} className="w-[150px]" />
            </div>
        </Content>
    )
}

export default logo
